
set( sbndaq_online_VERSION 0.07.05 )
set( sbndaq_online_UPS_VERSION v0_07_05 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( art v3_02_05 )
find_ups_product( canvas v1_06_00 )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( cppunit  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( art_root_io v1_00_05 )
find_ups_product( canvas_root_io  )
find_ups_root(  )
find_ups_product( artdaq_utilities v1_05_02 )
find_ups_product( TRACE v3_03_00 )
find_ups_product( cetpkgsupport v1_08_03 )
set(SBNDAQ_ONLINE_HIREDIS "$ENV{SBNDAQ_ONLINE_LIB}/libsbndaq_online_hiredis.so")
set(SBNDAQ-ONLINE_REDIS-PLUGIN_REDIS_METRIC "$ENV{SBNDAQ_ONLINE_LIB}/libsbndaq-online_redis-plugin_redis_metric.so")
set(SBNDAQ_ONLINE_STORAGE "$ENV{SBNDAQ_ONLINE_LIB}/libsbndaq_online_storage.so")
set(SBNDAQ-ONLINE_HELPERS_INITMETRICMANAGER_SERVICE "$ENV{SBNDAQ_ONLINE_LIB}/libsbndaq-online_helpers_InitMetricManager_service.so")
set(SBNDAQ_ONLINE_REDIS_CONNECTION "$ENV{SBNDAQ_ONLINE_LIB}/libsbndaq_online_redis_connection.so")
set(SBNDAQ-ONLINE_REDIS-CONNECT_REDISCONNECTION_SERVICE "$ENV{SBNDAQ_ONLINE_LIB}/libsbndaq-online_redis-connect_RedisConnection_service.so")
  include_directories ( "$ENV{SBNDAQ_ONLINE_INC}" )

check_required_components(sbndaq_online)

